### Type parameters

- #### T

### Hierarchy

- DynamoStore

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- modelClazz
- tableName

### Accessors

- dynamoDb

### Methods

- batchGetItem
- batchWrite
- delete
- get
- makeRequest
- put
- query
- scan
- update

## Constructors

### constructor

- new DynamoStore(modelClazz: ModelConstructor<T>, tableNameResolver?: TableNameResolver, sessionValidityEnsurer?: SessionValidityEnsurer): DynamoStore

- - Defined in dynamo/dynamo-store.ts:24

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### Default value tableNameResolver: TableNameResolver = DEFAULT_TABLE_NAME_RESOLVER

  - ##### Default value sessionValidityEnsurer: SessionValidityEnsurer = DEFAULT_SESSION_VALIDITY_ENSURER

  #### Returns DynamoStore

## Properties

### Private dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/dynamo-store.ts:22

### Private modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/dynamo-store.ts:27

### tableName

tableName: string

- Defined in dynamo/dynamo-store.ts:24

## Accessors

### dynamoDb

dynamoDb:

- Defined in dynamo/dynamo-store.ts:42

## Methods

### batchGetItem

- batchGetItem(keys: any[]): BatchGetSingleTableRequest<T>

- - Defined in dynamo/dynamo-store.ts:84

  This is a special implementation of BatchGetItem request, because it only supports one table, if you wish to retrieve items from multiple tables create an instance of BatchGetItemInput and use store.makeRequest with it.

  #### Parameters

  - ##### keys: any[]

  #### Returns BatchGetSingleTableRequest<T>

### batchWrite

- batchWrite(): BatchWriteSingleTableRequest<T>

- - Defined in dynamo/dynamo-store.ts:67

  This is a special implementation of batchWriteItem request, because it only supports one table, if you wish to write items to multiple tables create an instance of BatchWriteItemInput and use store.makeRequest with it.

  #### Returns BatchWriteSingleTableRequest<T>

### delete

- delete(partitionKey: any, sortKey?: any): DeleteRequest<T>

- - Defined in dynamo/dynamo-store.ts:58

  #### Parameters

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns DeleteRequest<T>

### get

- get(partitionKey: any, sortKey?: any): GetRequest<T>

- - Defined in dynamo/dynamo-store.ts:50

  #### Parameters

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns GetRequest<T>

### makeRequest

- makeRequest<Z>(operation: DynamoApiOperations, params?: undefined | object): Observable<Z>

- - Defined in dynamo/dynamo-store.ts:88

  #### Type parameters

  - #### Z

  #### Parameters

  - ##### operation: DynamoApiOperations

  - ##### Optional params: undefined | object

  #### Returns Observable<Z>

### put

- put(item: T): PutRequest<T>

- - Defined in dynamo/dynamo-store.ts:46

  #### Parameters

  - ##### item: T

  #### Returns PutRequest<T>

### query

- query(): QueryRequest<T>

- - Defined in dynamo/dynamo-store.ts:75

  #### Returns QueryRequest<T>

### scan

- scan(): ScanRequest<T>

- - Defined in dynamo/dynamo-store.ts:71

  #### Returns ScanRequest<T>

### update

- update(partitionKey: any, sortKey?: any): UpdateRequest<T>

- - Defined in dynamo/dynamo-store.ts:54

  #### Parameters

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns UpdateRequest<T>

Generated using TypeDoc